/*
 * This software is governed by the CeCILL-B license under French law and
 * abiding by the rules of distribution of free software.  You can  use, 
 * modify and/ or redistribute the software under the terms of the CeCILL-B
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info" or the LICENCE.txt file present in this project.
*/

#ifndef G_PATHS_HPP__
#define G_PATHS_HPP__

/** @file g_paths.hpp
    @brief export the global variable related to application paths
    @see globals.cpp
*/

#include <string>

/// Shader directory
extern std::string g_shaders_dir;
/// The directory where screenshots are written
extern std::string g_write_dir;
/// Path to store various caches (mostly blending operators)
extern std::string g_cache_dir;
/// Path to store the app configuration
extern std::string g_config_dir;
/// Path to the icons folder
extern std::string g_icons_dir;

#endif // G_PATHS_HPP__
